/*
	File:		ShellWindow.h

	Contains:	xxx put contents here xxx

	Version:	xxx put version here xxx

	Copyright:	 1999 by Apple Computer, Inc., all rights reserved.

	File Ownership:

		DRI:				xxx put dri here xxx

		Other Contact:		xxx put other contact here xxx

		Technology:			xxx put technology here xxx

	Writers:

		(BWS)	Brent Schorsch

	Change History (most recent first):

	   <SP1>	  7/1/99	BWS		first checked in
*/

#ifndef __SHELLWINDOW__
#define __SHELLWINDOW__

//		Includes

#ifndef __CONTROLS__
#include <Controls.h>
#endif

#ifndef __QUICKDRAW__
#include <QuickDraw.h>
#endif

//		Public Definitions
//		Public Types

class ShellWindow
{
protected:

	WindowPtr		window;
	ControlHandle	rootControl;

public:

	ShellWindow();
	~ShellWindow();

	void		Show(void);
	void		Hide(void);
	void		MakeCurrentPort(void);
	void		SetTitle(const Str255 inTitle);
	void		SetWidth(const UInt32 inWidth);
	void		SetHeight(const UInt32 inHeight);
	short		Width(void);
	short		Height(void);
	void		MoveTo(const SInt32 inH, const SInt32 inV);
	GDHandle	MostOnWhichMonitor(void);

	virtual void	Activate(const Boolean inActivate);
	virtual void	Update(void);
	virtual void	Select(void);
	virtual OSErr	Click(const Point inWhere, const short inModifiers);
	virtual OSErr	Key(const UInt8 inChar, const UInt8 inKey, const short inModifiers);
	virtual OSErr	Grow(const Point inWhere);
	virtual OSErr	Zoom(const short inZoomDir);
	virtual OSErr	Close(void);
	virtual void	Idle(void);
	virtual Boolean	Menu(const UInt32 inMenuCommand, const short inModifiers);
	virtual void	Help(const Point inWhere);
	virtual Boolean	Drag(const Point inWhere, const short inModifiers);
	virtual void	Suspend(void);
	virtual void	Resume(void);
};

//		Public Variables
//		Public Functions

#ifdef __cplusplus
extern "C" {
#endif

#ifdef __cplusplus
}
#endif

#endif
